Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes
FileAccPropList Class Reference

`#include <c++/src/H5FaccProp.h>`

## Detailed Description

Class FileAccPropList inherits from PropList and provides wrappers for the HDF5 file access property list.

Inheritance diagram for FileAccPropList:

## Public Member Functions
| FileAccPropList ()
| FileAccPropList (const FileAccPropList &original)
| FileAccPropList (const hid_t plist_id)
virtual H5std_string | fromClass () const override
| Returns this class name.
void | getAlignment (hsize_t &threshold, hsize_t &alignment) const
void | getCache (int &mdc_nelmts, size_t &rdcc_nelmts, size_t &rdcc_nbytes, double &rdcc_w0) const
void | getCore (size_t &increment, bool &backing_store) const
hid_t | getDriver () const
FileAccPropList | getFamily (hsize_t &memb_size) const
void | getFamily (hsize_t &memb_size, FileAccPropList &memb_plist) const
hsize_t | getFamilyOffset () const
H5F_close_degree_t | getFcloseDegree () const
void | getFileAccDirect (size_t &boundary, size_t &block_size, size_t &cbuf_size) const
void | getFileLocking (bool &use_file_locking, bool &ignore_when_disabled) const
unsigned | getGcReferences () const
void | getLibverBounds (H5F_libver_t &libver_low, H5F_libver_t &libver_high) const
hsize_t | getMetaBlockSize () const
H5FD_mem_t | getMultiType () const
size_t | getSieveBufSize () const
void | setAlignment (hsize_t threshold=1, hsize_t alignment=1) const
void | setCache (int mdc_nelmts, size_t rdcc_nelmts, size_t rdcc_nbytes, double rdcc_w0) const
void | setCore (size_t increment, bool backing_store) const
void | setDriver (hid_t new_driver_id, const void *new_driver_info) const
void | setFamily (hsize_t memb_size, const FileAccPropList &memb_plist) const
void | setFamilyOffset (hsize_t offset) const
void | setFcloseDegree (H5F_close_degree_t degree) const
void | setFileAccDirect (size_t boundary, size_t block_size, size_t cbuf_size) const
void | setFileLocking (bool use_file_locking, bool ignore_when_disabled) const
void | setGcReferences (unsigned gc_ref=0) const
void | setLibverBounds (H5F_libver_t libver_low, H5F_libver_t libver_high) const
void | setLog (const char *logfile, unsigned flags, size_t buf_size) const
void | setLog (const H5std_string &logfile, unsigned flags, size_t buf_size) const
void | setMetaBlockSize (hsize_t &block_size) const
void | setMultiType (H5FD_mem_t dtype) const
void | setSec2 () const
void | setSieveBufSize (size_t bufsize) const
void | setSplit (const FileAccPropList &meta_plist, const FileAccPropList &raw_plist, const char *meta_ext=".meta", const char *raw_ext=".raw") const
void | setSplit (const FileAccPropList &meta_plist, const FileAccPropList &raw_plist, const H5std_string &meta_ext=".meta", const H5std_string &raw_ext=".raw") const
void | setStdio () const
virtual | ~FileAccPropList () override=default
Public Member Functions inherited from PropList
virtual void | close () override
void | closeClass () const
void | copy (const PropList &like_plist)
void | copyProp (PropList &dest, const char *name) const
void | copyProp (PropList &dest, const H5std_string &name) const
void | copyProp (PropList &dest, PropList &src, const char *name) const
void | copyProp (PropList &dest, PropList &src, const H5std_string &name) const
hid_t | getClass () const
H5std_string | getClassName () const
PropList | getClassParent () const
virtual hid_t | getId () const override
size_t | getNumProps () const
H5std_string | getProperty (const char *name) const
void | getProperty (const char *name, void *value) const
H5std_string | getProperty (const H5std_string &name) const
void | getProperty (const H5std_string &name, void *value) const
size_t | getPropSize (const char *name) const
size_t | getPropSize (const H5std_string &name) const
bool | isAClass (const PropList &prop_class) const
PropList & | operator= (const PropList &rhs)
bool | operator== (const PropList &rhs) const
bool | propExist (const char *name) const
| Query the existence of a property in a property object.
bool | propExist (const H5std_string &name) const
| PropList ()
| PropList (const hid_t plist_id)
| PropList (const PropList &original)
void | removeProp (const char *name) const
void | removeProp (const H5std_string &name) const
void | setProperty (const char *name, const char *charptr) const
void | setProperty (const char *name, const H5std_string &strg) const
void | setProperty (const char *name, const void *value) const
void | setProperty (const char *name, H5std_string &strg) const
void | setProperty (const char *name, void *value) const
void | setProperty (const H5std_string &name, const H5std_string &strg) const
void | setProperty (const H5std_string &name, const void *value) const
void | setProperty (const H5std_string &name, H5std_string &strg) const
void | setProperty (const H5std_string &name, void *value) const
virtual | ~PropList () override
Public Member Functions inherited from IdComponent
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from PropList
static void | deleteConstants ()
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)

## Static Public Attributes
static const FileAccPropList & | DEFAULT
| Default file access property list.
Static Public Attributes inherited from PropList
static const PropList & | DEFAULT
| Default property list.

## Additional Inherited Members
Protected Member Functions inherited from PropList
virtual void | p_setId (const hid_t new_id) override
Protected Member Functions inherited from IdComponent
| IdComponent ()
H5std_string | p_get_file_name () const
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Protected Attributes inherited from PropList
hid_t | id
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ FileAccPropList() [1/3]

FileAccPropList | ( |  | ) |

## ◆ FileAccPropList() [2/3]

FileAccPropList | ( | const FileAccPropList & | original | ) |

## ◆ FileAccPropList() [3/3]

FileAccPropList | ( | const hid_t | plist_id | ) |

## ◆ ~FileAccPropList()

virtual ~FileAccPropList | ( |  | ) |
| override virtual default

## Member Function Documentation

## ◆ deleteConstants()

static void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from PropList.

## ◆ getAlignment()

void getAlignment | ( | hsize_t & | threshold,
|  | hsize_t & | alignment ) const

## ◆ getCache()

void getCache | ( | int & | mdc_nelmts,
|  | size_t & | rdcc_nelmts,
|  | size_t & | rdcc_nbytes,
|  | double & | rdcc_w0 ) const

## ◆ getCore()

void getCore | ( | size_t & | increment,
|  | bool & | backing_store ) const

## ◆ getDriver()

hid_t getDriver | ( |  | ) | const

## ◆ getFamily() [1/2]

FileAccPropList getFamily | ( | hsize_t & | memb_size | ) | const

## ◆ getFamily() [2/2]

void getFamily | ( | hsize_t & | memb_size,
|  | FileAccPropList & | memb_plist ) const

## ◆ getFamilyOffset()

hsize_t getFamilyOffset | ( |  | ) | const

## ◆ getFcloseDegree()

H5F_close_degree_t getFcloseDegree | ( |  | ) | const

## ◆ getFileAccDirect()

void getFileAccDirect | ( | size_t & | boundary,
|  | size_t & | block_size,
|  | size_t & | cbuf_size ) const

## ◆ getFileLocking()

void getFileLocking | ( | bool & | use_file_locking,
|  | bool & | ignore_when_disabled ) const

## ◆ getGcReferences()

unsigned getGcReferences | ( |  | ) | const

## ◆ getLibverBounds()

void getLibverBounds | ( | H5F_libver_t & | libver_low,
|  | H5F_libver_t & | libver_high ) const

## ◆ getMetaBlockSize()

hsize_t getMetaBlockSize | ( |  | ) | const

## ◆ getMultiType()

H5FD_mem_t getMultiType | ( |  | ) | const

## ◆ getSieveBufSize()

size_t getSieveBufSize | ( |  | ) | const

## ◆ setAlignment()

void setAlignment | ( | hsize_t | threshold = 1,
|  | hsize_t | alignment = 1 ) const

## ◆ setCache()

void setCache | ( | int | mdc_nelmts,
|  | size_t | rdcc_nelmts,
|  | size_t | rdcc_nbytes,
|  | double | rdcc_w0 ) const

## ◆ setCore()

void setCore | ( | size_t | increment,
|  | bool | backing_store ) const

## ◆ setDriver()

void setDriver | ( | hid_t | new_driver_id,
|  | const void * | new_driver_info ) const

## ◆ setFamily()

void setFamily | ( | hsize_t | memb_size,
|  | const FileAccPropList & | memb_plist ) const

## ◆ setFamilyOffset()

void setFamilyOffset | ( | hsize_t | offset | ) | const

## ◆ setFcloseDegree()

void setFcloseDegree | ( | H5F_close_degree_t | degree | ) | const

## ◆ setFileAccDirect()

void setFileAccDirect | ( | size_t | boundary,
|  | size_t | block_size,
|  | size_t | cbuf_size ) const

## ◆ setFileLocking()

void setFileLocking | ( | bool | use_file_locking,
|  | bool | ignore_when_disabled ) const

## ◆ setGcReferences()

void setGcReferences | ( | unsigned | gc_ref = 0 | ) | const

## ◆ setLibverBounds()

void setLibverBounds | ( | H5F_libver_t | libver_low,
|  | H5F_libver_t | libver_high ) const

## ◆ setLog() [1/2]

void setLog | ( | const char * | logfile,
|  | unsigned | flags,
|  | size_t | buf_size ) const

## ◆ setLog() [2/2]

void setLog | ( | const H5std_string & | logfile,
|  | unsigned | flags,
|  | size_t | buf_size ) const

## ◆ setMetaBlockSize()

void setMetaBlockSize | ( | hsize_t & | block_size | ) | const

## ◆ setMultiType()

void setMultiType | ( | H5FD_mem_t | dtype | ) | const

## ◆ setSec2()

void setSec2 | ( |  | ) | const

## ◆ setSieveBufSize()

void setSieveBufSize | ( | size_t | bufsize | ) | const

## ◆ setSplit() [1/2]

void setSplit | ( | const FileAccPropList & | meta_plist,
|  | const FileAccPropList & | raw_plist,
|  | const char * | meta_ext = ".meta",
|  | const char * | raw_ext = ".raw" ) const

## ◆ setSplit() [2/2]

void setSplit | ( | const FileAccPropList & | meta_plist,
|  | const FileAccPropList & | raw_plist,
|  | const H5std_string & | meta_ext = ".meta",
|  | const H5std_string & | raw_ext = ".raw" ) const

## ◆ setStdio()

void setStdio | ( |  | ) | const

## Field Documentation

## ◆ DEFAULT

const FileAccPropList& DEFAULT
| static

Default file access property list.

The documentation for this class was generated from the following file:

- c++/src/H5FaccProp.h